"""Add manger and evaluator role and set permissions

Revision ID: 87bd62b620fe
Revises: 05619e2f5ae0
Create Date: 2016-05-10 09:15:34.591692

"""

# revision identifiers, used by Alembic.
revision = '87bd62b620fe'
down_revision = '05619e2f5ae0'

from alembic import op
import sqlalchemy as sa


INSERTS = """
INSERT INTO roles (uuid, id, label, name, description, admin, gid, uid) VALUES ('792ca5e5691d43439d50eceecb8555df', 5, 'Evaluator', 'evaluator', 'Evaluators are allowed to rate a application. Evaluators can only see/edit their own ratings.', false, NULL, 1);
INSERT INTO roles (uuid, id, label, name, description, admin, gid, uid) VALUES ('c508c54246e0489b816b17850faae90b', 6, 'Manager', 'manager', 'Managers are administrators for all things related to the application process. This includes reading/editing applications, rating and doing the user administration.', true, NULL, 1);
INSERT INTO nm_action_roles (aid, rid) VALUES (46, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (47, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (48, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (49, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (50, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (52, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (4, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (5, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (6, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (47, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (44, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (40, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (8, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (52, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (7, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (50, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (49, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (45, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (43, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (46, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (41, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (51, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (42, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (48, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (39, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (41, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (40, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (43, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (39, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (42, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (39, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (40, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (41, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (42, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (43, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (45, 4);
"""
DELETES = """
DELETE FROM nm_action_roles where rid = 5;
DELETE FROM nm_action_roles where rid = 6;
DELETE FROM roles where id = 5;
DELETE FROM roles where id = 6;
DELETE FROM nm_action_roles WHERE aid = 41 and rid = 3;
DELETE FROM nm_action_roles WHERE aid = 40 and rid = 3;
DELETE FROM nm_action_roles WHERE aid = 43 and rid = 3;
DELETE FROM nm_action_roles WHERE aid = 39 and rid = 3;
DELETE FROM nm_action_roles WHERE aid = 42 and rid = 3;
DELETE FROM nm_action_roles WHERE aid = 39 and rid = 4;
DELETE FROM nm_action_roles WHERE aid = 40 and rid = 4;
DELETE FROM nm_action_roles WHERE aid = 41 and rid = 4;
DELETE FROM nm_action_roles WHERE aid = 42 and rid = 4;
DELETE FROM nm_action_roles WHERE aid = 43 and rid = 4;
DELETE FROM nm_action_roles WHERE aid = 45 and rid = 4;
"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(DELETES)
